Ruby: pm_array_pattern_node Struct Reference

Ruby 3.3.4p94 (2024-07-09 revision be1089c8ec5ba40e09b1553e36b3174bf4014d9d)

Data Fields
pm_array_pattern_node Struct Reference

ArrayPatternNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | constant
| ArrayPatternNode::constant.
struct pm_node_list | requireds
| ArrayPatternNode::requireds.
struct pm_node * | rest
| ArrayPatternNode::rest.
struct pm_node_list | posts
| ArrayPatternNode::posts.
pm_location_t | opening_loc
| ArrayPatternNode::opening_loc.
pm_location_t | closing_loc
| ArrayPatternNode::closing_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

ArrayPatternNode.

Type: PM_ARRAY_PATTERN_NODE

Definition at line 1212 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_array_pattern_node::base

The embedded base node.

Definition at line 1214 of file ast.h.

## ◆ closing_loc

pm_location_t pm_array_pattern_node::closing_loc

ArrayPatternNode::closing_loc.

Definition at line 1232 of file ast.h.

## ◆ constant

struct pm_node* pm_array_pattern_node::constant

ArrayPatternNode::constant.

Definition at line 1217 of file ast.h.

Referenced by pm_node_destroy().

## ◆ opening_loc

pm_location_t pm_array_pattern_node::opening_loc

ArrayPatternNode::opening_loc.

Definition at line 1229 of file ast.h.

## ◆ posts

struct pm_node_list pm_array_pattern_node::posts

ArrayPatternNode::posts.

Definition at line 1226 of file ast.h.

Referenced by pm_node_destroy().

## ◆ requireds

struct pm_node_list pm_array_pattern_node::requireds

ArrayPatternNode::requireds.

Definition at line 1220 of file ast.h.

Referenced by pm_node_destroy().

## ◆ rest

struct pm_node* pm_array_pattern_node::rest

ArrayPatternNode::rest.

Definition at line 1223 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h